BasicSliderUI.ActionScroller (Java SE 11 & JDK 11 )
Keywords: javax.swing.plaf.basic.BasicSliderUI.ActionScroller class

Module java.desktop
Package javax.swing.plaf.basic

## Class BasicSliderUI.ActionScroller

- java.lang.Object
- - javax.swing.AbstractAction
  - - javax.swing.plaf.basic.BasicSliderUI.ActionScroller

- All Implemented Interfaces:
    `ActionListener`, `Serializable`, `Cloneable`, `EventListener`, `Action`
  Enclosing class:
    BasicSliderUI

      public class BasicSliderUI.ActionScroller
      extends AbstractAction

  As of Java 2 platform v1.3 this undocumented class is no longer used. The recommended approach to creating bindings is to use a combination of an `ActionMap`, to contain the action, and an `InputMap` to contain the mapping from KeyStroke to action description. The InputMap is usually described in the LookAndFeel tables.

  Please refer to the key bindings specification for further details.

  This class should be treated as a "protected" inner class. Instantiate it only within subclasses of `Foo`.

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields declared in class javax.swing.AbstractAction

      `changeSupport, enabled`

    - ### Fields declared in interface javax.swing.Action

      `ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ActionScroller​(JSlider slider, int dir, boolean block)` | Constructs an `ActionScroller`.

  - ### Method Summary

    - ### Methods declared in class javax.swing.AbstractAction

      `addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

    - ### Methods declared in class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods declared in interface javax.swing.Action

      `accept`

    - ### Methods declared in interface java.awt.event.ActionListener

      `actionPerformed`

- - ### Constructor Detail

    - #### ActionScroller

          public ActionScroller​(JSlider slider,
                                int dir,
                                boolean block)

      Constructs an `ActionScroller`.
      Parameters:
        `slider` - a slider
        `dir` - the direction
        `block` - block scrolling or not